# Generated by Django 3.1.14 on 2022-01-31 15:17

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import geotrek.common.models
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('common', '0021_auto_20211025_1440'),
    ]

    operations = [
        migrations.CreateModel(
            name='AccessibilityAttachment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField()),
                ('attachment_accessibility_file', models.ImageField(blank=True, max_length=512, upload_to=geotrek.common.models.attachment_accessibility_upload, verbose_name='Image')),
                ('info_accessibility', models.CharField(choices=[('slope', 'Slope'), ('width', 'Width'), ('signage', 'Signage')], default='slope', max_length=7, verbose_name='Information accessibility')),
                ('creation_date', models.DateField(blank=True, null=True, verbose_name='Creation Date')),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('author', models.CharField(blank=True, db_column='auteur', default='', help_text='Original creator', max_length=128, verbose_name='Author')),
                ('title', models.CharField(blank=True, db_column='titre', default='', help_text='Renames the file', max_length=128, verbose_name='Filename')),
                ('legend', models.CharField(blank=True, db_column='legende', default='', help_text='Details displayed', max_length=128, verbose_name='Legend')),
                ('date_insert', models.DateTimeField(auto_now_add=True, verbose_name='Insertion date')),
                ('date_update', models.DateTimeField(auto_now=True, verbose_name='Update date')),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.contenttype')),
                ('creator', models.ForeignKey(help_text='User that uploaded', on_delete=django.db.models.deletion.CASCADE, related_name='created_attachments_accessibility', to=settings.AUTH_USER_MODEL, verbose_name='Creator')),
            ],
            options={
                'verbose_name': 'Attachment accessibility',
                'verbose_name_plural': 'Attachments accessibility',
                'ordering': ['-date_insert'],
                'default_permissions': (),
            },
        ),
    ]
