# -*- coding: utf-8 -*-
# Generated by Django 1.11.27 on 2020-02-11 10:11
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import geotrek.authent.models


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0012_auto_20191210_0840'),
    ]

    operations = [
        migrations.AlterField(
            model_name='comfort',
            name='comfort',
            field=models.CharField(max_length=50, verbose_name='Comfort'),
        ),
        migrations.AlterField(
            model_name='comfort',
            name='structure',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='authent.Structure', verbose_name='Related structure'),
        ),
        migrations.AlterField(
            model_name='network',
            name='network',
            field=models.CharField(max_length=50, verbose_name='Network'),
        ),
        migrations.AlterField(
            model_name='network',
            name='structure',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='authent.Structure', verbose_name='Related structure'),
        ),
        migrations.AlterField(
            model_name='path',
            name='arrival',
            field=models.CharField(blank=True, default='', help_text='Arrival place', max_length=250, null=True, verbose_name='Arrival'),
        ),
        migrations.AlterField(
            model_name='path',
            name='ascent',
            field=models.IntegerField(blank=True, default=0, editable=False, null=True, verbose_name='Ascent'),
        ),
        migrations.AlterField(
            model_name='path',
            name='comfort',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='paths', to='core.Comfort', verbose_name='Comfort'),
        ),
        migrations.AlterField(
            model_name='path',
            name='comments',
            field=models.TextField(blank=True, help_text='Remarks', null=True, verbose_name='Comments'),
        ),
        migrations.AlterField(
            model_name='path',
            name='departure',
            field=models.CharField(blank=True, default='', help_text='Departure place', max_length=250, null=True, verbose_name='Departure'),
        ),
        migrations.AlterField(
            model_name='path',
            name='descent',
            field=models.IntegerField(blank=True, default=0, editable=False, null=True, verbose_name='Descent'),
        ),
        migrations.AlterField(
            model_name='path',
            name='draft',
            field=models.BooleanField(db_index=True, default=False, verbose_name='Draft'),
        ),
        migrations.AlterField(
            model_name='path',
            name='eid',
            field=models.CharField(blank=True, max_length=1024, null=True, verbose_name='External id'),
        ),
        migrations.AlterField(
            model_name='path',
            name='length',
            field=models.FloatField(blank=True, default=0.0, editable=False, null=True, verbose_name='3D Length'),
        ),
        migrations.AlterField(
            model_name='path',
            name='max_elevation',
            field=models.IntegerField(blank=True, default=0, editable=False, null=True, verbose_name='Maximum elevation'),
        ),
        migrations.AlterField(
            model_name='path',
            name='min_elevation',
            field=models.IntegerField(blank=True, default=0, editable=False, null=True, verbose_name='Minimum elevation'),
        ),
        migrations.AlterField(
            model_name='path',
            name='name',
            field=models.CharField(blank=True, help_text='Official name', max_length=250, null=True, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='path',
            name='networks',
            field=models.ManyToManyField(blank=True, related_name='paths', to='core.Network', verbose_name='Networks'),
        ),
        migrations.AlterField(
            model_name='path',
            name='slope',
            field=models.FloatField(blank=True, default=0.0, editable=False, null=True, verbose_name='Slope'),
        ),
        migrations.AlterField(
            model_name='path',
            name='source',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='paths', to='core.PathSource', verbose_name='Source'),
        ),
        migrations.AlterField(
            model_name='path',
            name='stake',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='paths', to='core.Stake', verbose_name='Maintenance stake'),
        ),
        migrations.AlterField(
            model_name='path',
            name='structure',
            field=models.ForeignKey(default=geotrek.authent.models.default_structure_pk, on_delete=django.db.models.deletion.CASCADE, to='authent.Structure', verbose_name='Related structure'),
        ),
        migrations.AlterField(
            model_name='path',
            name='usages',
            field=models.ManyToManyField(blank=True, related_name='paths', to='core.Usage', verbose_name='Usages'),
        ),
        migrations.AlterField(
            model_name='path',
            name='valid',
            field=models.BooleanField(default=True, help_text='Approved by manager', verbose_name='Validity'),
        ),
        migrations.AlterField(
            model_name='path',
            name='visible',
            field=models.BooleanField(default=True, help_text='Shown in lists and maps', verbose_name='Visible'),
        ),
        migrations.AlterField(
            model_name='pathaggregation',
            name='end_position',
            field=models.FloatField(db_index=True, verbose_name='End position'),
        ),
        migrations.AlterField(
            model_name='pathaggregation',
            name='order',
            field=models.IntegerField(blank=True, default=0, null=True, verbose_name='Order'),
        ),
        migrations.AlterField(
            model_name='pathaggregation',
            name='path',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='aggregations', to='core.Path', verbose_name='Path'),
        ),
        migrations.AlterField(
            model_name='pathaggregation',
            name='start_position',
            field=models.FloatField(db_index=True, verbose_name='Start position'),
        ),
        migrations.AlterField(
            model_name='pathaggregation',
            name='topo_object',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='aggregations', to='core.Topology', verbose_name='Topology'),
        ),
        migrations.AlterField(
            model_name='pathsource',
            name='structure',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='authent.Structure', verbose_name='Related structure'),
        ),
        migrations.AlterField(
            model_name='stake',
            name='stake',
            field=models.CharField(max_length=50, verbose_name='Stake'),
        ),
        migrations.AlterField(
            model_name='stake',
            name='structure',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='authent.Structure', verbose_name='Related structure'),
        ),
        migrations.AlterField(
            model_name='topology',
            name='ascent',
            field=models.IntegerField(blank=True, default=0, editable=False, null=True, verbose_name='Ascent'),
        ),
        migrations.AlterField(
            model_name='topology',
            name='descent',
            field=models.IntegerField(blank=True, default=0, editable=False, null=True, verbose_name='Descent'),
        ),
        migrations.AlterField(
            model_name='topology',
            name='length',
            field=models.FloatField(blank=True, default=0.0, editable=False, null=True, verbose_name='3D Length'),
        ),
        migrations.AlterField(
            model_name='topology',
            name='max_elevation',
            field=models.IntegerField(blank=True, default=0, editable=False, null=True, verbose_name='Maximum elevation'),
        ),
        migrations.AlterField(
            model_name='topology',
            name='min_elevation',
            field=models.IntegerField(blank=True, default=0, editable=False, null=True, verbose_name='Minimum elevation'),
        ),
        migrations.AlterField(
            model_name='topology',
            name='offset',
            field=models.FloatField(default=0.0, verbose_name='Offset'),
        ),
        migrations.AlterField(
            model_name='topology',
            name='paths',
            field=models.ManyToManyField(through='core.PathAggregation', to='core.Path', verbose_name='Path'),
        ),
        migrations.AlterField(
            model_name='topology',
            name='slope',
            field=models.FloatField(blank=True, default=0.0, editable=False, null=True, verbose_name='Slope'),
        ),
        migrations.AlterField(
            model_name='trail',
            name='arrival',
            field=models.CharField(blank=True, max_length=64, verbose_name='Arrival'),
        ),
        migrations.AlterField(
            model_name='trail',
            name='comments',
            field=models.TextField(blank=True, default='', verbose_name='Comments'),
        ),
        migrations.AlterField(
            model_name='trail',
            name='departure',
            field=models.CharField(blank=True, max_length=64, verbose_name='Departure'),
        ),
        migrations.AlterField(
            model_name='trail',
            name='eid',
            field=models.CharField(blank=True, max_length=1024, null=True, verbose_name='External id'),
        ),
        migrations.AlterField(
            model_name='trail',
            name='name',
            field=models.CharField(max_length=64, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='trail',
            name='structure',
            field=models.ForeignKey(default=geotrek.authent.models.default_structure_pk, on_delete=django.db.models.deletion.CASCADE, to='authent.Structure', verbose_name='Related structure'),
        ),
        migrations.AlterField(
            model_name='trail',
            name='topo_object',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='core.Topology'),
        ),
        migrations.AlterField(
            model_name='usage',
            name='structure',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='authent.Structure', verbose_name='Related structure'),
        ),
        migrations.AlterField(
            model_name='usage',
            name='usage',
            field=models.CharField(max_length=50, verbose_name='Usage'),
        ),
        migrations.AlterField(
            model_name='topology',
            name='deleted',
            field=models.BooleanField(default=False, editable=False, verbose_name='Deleted'),
        ),
        migrations.AlterModelTable(
            name='comfort',
            table=None,
        ),
        migrations.AlterModelTable(
            name='network',
            table=None,
        ),
        migrations.AlterModelTable(
            name='path',
            table=None,
        ),
        migrations.AlterModelTable(
            name='pathaggregation',
            table=None,
        ),
        migrations.AlterModelTable(
            name='pathsource',
            table=None,
        ),
        migrations.AlterModelTable(
            name='stake',
            table=None,
        ),
        migrations.AlterModelTable(
            name='topology',
            table=None,
        ),
        migrations.AlterModelTable(
            name='trail',
            table=None,
        ),
        migrations.AlterModelTable(
            name='usage',
            table=None,
        ),
    ]
