# -*- coding: utf-8 -*-
# Generated by Django 1.11.27 on 2020-02-11 15:23
from __future__ import unicode_literals

import colorfield.fields
from django.db import migrations, models
import django.db.models.deletion
import geotrek.authent.models


class Migration(migrations.Migration):

    dependencies = [
        ('diving', '0001_initial'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='dive',
            options={'verbose_name': 'Plongée', 'verbose_name_plural': 'Plongées'},
        ),
        migrations.AlterModelOptions(
            name='level',
            options={'ordering': ['id'], 'verbose_name': 'Niveau technique', 'verbose_name_plural': 'Niveaux techniques'},
        ),
        migrations.AlterField(
            model_name='difficulty',
            name='name',
            field=models.CharField(max_length=128, verbose_name='Nom'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='advice',
            field=models.TextField(blank=True, help_text='Risques, danger, meilleure période, ...', verbose_name='Recommandations'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='deleted',
            field=models.BooleanField(default=False, editable=False, verbose_name='Deleted'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='departure',
            field=models.CharField(blank=True, max_length=128, verbose_name='Aire de départ'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='depth',
            field=models.PositiveIntegerField(blank=True, help_text='mètres', null=True, verbose_name='Profondeur maximum'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='description',
            field=models.TextField(blank=True, help_text='Description complète', verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='description_teaser',
            field=models.TextField(blank=True, help_text='Bref résumé', verbose_name='Chapeau'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='difficulty',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dives', to='diving.Difficulty', verbose_name='Niveau de difficulté'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='disabled_sport',
            field=models.TextField(blank=True, verbose_name='Accessibilité handisport'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='eid',
            field=models.CharField(blank=True, max_length=1024, null=True, verbose_name='ID externe'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='facilities',
            field=models.TextField(blank=True, verbose_name='Équipements'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='levels',
            field=models.ManyToManyField(blank=True, related_name='dives', to='diving.Level', verbose_name='Niveaux techniques'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='owner',
            field=models.CharField(blank=True, max_length=256, verbose_name='Propriétaire'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='portal',
            field=models.ManyToManyField(blank=True, related_name='dives', to='common.TargetPortal', verbose_name='Portail'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='practice',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dives', to='diving.Practice', verbose_name='Pratique'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='source',
            field=models.ManyToManyField(blank=True, related_name='dives', to='common.RecordSource', verbose_name='Source'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='structure',
            field=models.ForeignKey(default=geotrek.authent.models.default_structure_pk, on_delete=django.db.models.deletion.CASCADE, to='authent.Structure', verbose_name='Related structure'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='themes',
            field=models.ManyToManyField(blank=True, help_text='Thème(s) principal(aux)', related_name='dives', to='common.Theme', verbose_name='Thèmes'),
        ),
        migrations.AlterField(
            model_name='level',
            name='description',
            field=models.TextField(blank=True, help_text='Description complète', verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='level',
            name='name',
            field=models.CharField(max_length=128, verbose_name='Nom'),
        ),
        migrations.AlterField(
            model_name='practice',
            name='color',
            field=colorfield.fields.ColorField(default='#444444', help_text='Couleur définie pour la pratique, utilisée seulement pour le mobile.', max_length=18, verbose_name='Couleur'),
        ),
        migrations.AlterField(
            model_name='practice',
            name='name',
            field=models.CharField(max_length=128, verbose_name='Nom'),
        ),
        migrations.AlterField(
            model_name='practice',
            name='order',
            field=models.IntegerField(blank=True, help_text='Ordre alphabétique si vide', null=True, verbose_name='Ordre'),
        ),
        migrations.AlterModelTable(
            name='difficulty',
            table=None,
        ),
        migrations.AlterModelTable(
            name='dive',
            table=None,
        ),
        migrations.AlterModelTable(
            name='level',
            table=None,
        ),
        migrations.AlterModelTable(
            name='practice',
            table=None,
        ),
    ]
