# Generated by Django 3.1.5 on 2021-01-22 10:29

import colorfield.fields
from django.conf import settings
import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('common', '0017_auto_20210121_0943'),
        ('diving', '0005_auto_20200406_1403'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='difficulty',
            options={'ordering': ['id'], 'verbose_name': 'Difficulty level', 'verbose_name_plural': 'Difficulty levels'},
        ),
        migrations.AlterModelOptions(
            name='dive',
            options={'verbose_name': 'Dive', 'verbose_name_plural': 'Dives'},
        ),
        migrations.AlterModelOptions(
            name='level',
            options={'ordering': ['id'], 'verbose_name': 'Technical level', 'verbose_name_plural': 'Technical levels'},
        ),
        migrations.AlterModelOptions(
            name='practice',
            options={'ordering': ['order', 'name'], 'verbose_name': 'Practice', 'verbose_name_plural': 'Practices'},
        ),
        migrations.AlterField(
            model_name='difficulty',
            name='id',
            field=models.IntegerField(primary_key=True, serialize=False, verbose_name='Order'),
        ),
        migrations.AlterField(
            model_name='difficulty',
            name='name',
            field=models.CharField(max_length=128, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='advice',
            field=models.TextField(blank=True, help_text='Risks, danger, best period, ...', verbose_name='Advice'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='departure',
            field=models.CharField(blank=True, max_length=128, verbose_name='Departure area'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='depth',
            field=models.PositiveIntegerField(blank=True, help_text='meters', null=True, verbose_name='Maximum depth'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='description',
            field=models.TextField(blank=True, help_text='Complete description', verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='description_teaser',
            field=models.TextField(blank=True, help_text='A brief summary', verbose_name='Description teaser'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='difficulty',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dives', to='diving.difficulty', verbose_name='Difficulty level'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='disabled_sport',
            field=models.TextField(blank=True, verbose_name='Disabled sport accessibility'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='eid',
            field=models.CharField(blank=True, max_length=1024, null=True, verbose_name='External id'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='facilities',
            field=models.TextField(blank=True, verbose_name='Facilities'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='geom',
            field=django.contrib.gis.db.models.fields.GeometryField(srid=settings.SRID, verbose_name='Location'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='levels',
            field=models.ManyToManyField(blank=True, related_name='dives', to='diving.Level', verbose_name='Technical levels'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='owner',
            field=models.CharField(blank=True, max_length=256, verbose_name='Owner'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='portal',
            field=models.ManyToManyField(blank=True, related_name='dives', to='common.TargetPortal', verbose_name='Portal'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='practice',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dives', to='diving.practice', verbose_name='Practice'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='published',
            field=models.BooleanField(default=False, help_text='Visible on Geotrek-rando', verbose_name='Published'),
        ),
        migrations.AlterField(
            model_name='dive',
            name='themes',
            field=models.ManyToManyField(blank=True, help_text='Main theme(s)', related_name='dives', to='common.Theme', verbose_name='Themes'),
        ),
        migrations.AlterField(
            model_name='level',
            name='description',
            field=models.TextField(blank=True, help_text='Complete description', verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='level',
            name='id',
            field=models.IntegerField(primary_key=True, serialize=False, verbose_name='Order'),
        ),
        migrations.AlterField(
            model_name='level',
            name='name',
            field=models.CharField(max_length=128, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='practice',
            name='color',
            field=colorfield.fields.ColorField(default='#444444', help_text='Color of the practice, only used in mobile.', max_length=18, verbose_name='Color'),
        ),
        migrations.AlterField(
            model_name='practice',
            name='name',
            field=models.CharField(max_length=128, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='practice',
            name='order',
            field=models.IntegerField(blank=True, help_text='Alphabetical order if blank', null=True, verbose_name='Order'),
        ),
    ]
