# Generated by Django 3.1.4 on 2021-01-06 20:46

import colorfield.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('outdoor', '0010_rebuild_site_tree'),
    ]

    operations = [
        migrations.CreateModel(
            name='RatingScale',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, verbose_name='Name')),
                ('practice', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='rating_scales', to='outdoor.practice', verbose_name='Practice')),
            ],
            options={
                'verbose_name': 'Rating scale',
                'verbose_name_plural': 'Rating scales',
                'ordering': ('practice', 'name'),
            },
        ),
        migrations.CreateModel(
            name='Rating',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, verbose_name='Name')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
                ('order', models.IntegerField(blank=True, help_text='Alphabetical order if blank', null=True, verbose_name='Order')),
                ('color', colorfield.fields.ColorField(blank=True, default='', max_length=18, verbose_name='Color')),
                ('scale', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='ratings', to='outdoor.ratingscale', verbose_name='Scale')),
            ],
            options={
                'verbose_name': 'Rating',
                'verbose_name_plural': 'Ratings',
                'ordering': ('order', 'name'),
            },
        ),
        migrations.AddField(
            model_name='site',
            name='ratings_max',
            field=models.ManyToManyField(blank=True, related_name='sites_max', to='outdoor.Rating'),
        ),
        migrations.AddField(
            model_name='site',
            name='ratings_min',
            field=models.ManyToManyField(blank=True, related_name='sites_min', to='outdoor.Rating'),
        ),
    ]
