# Generated by Django 3.2.18 on 2023-05-09 08:16

from django.db import migrations, models
import django.db.models.deletion


def delete_blades_on_deleted_signages(apps, schema):
    signage_model = apps.get_model('signage', 'Signage')
    blade_model = apps.get_model('signage', 'Blade')
    signages_deleted = signage_model.objects.filter(deleted=True)
    blade_model.objects.filter(signage__in=signages_deleted).update(deleted=True)


class Migration(migrations.Migration):

    dependencies = [
        ('signage', '0029_auto_20230503_0837'),
    ]

    operations = [
        migrations.AddField(
            model_name='blade',
            name='deleted',
            field=models.BooleanField(default=False, editable=False, verbose_name='Deleted'),
        ),
        migrations.AlterField(
            model_name='blade',
            name='signage',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='signage.signage', verbose_name='Signage'),
        ),
        migrations.RunPython(delete_blades_on_deleted_signages, reverse_code=migrations.RunPython.noop),
    ]
