# -*- coding: utf-8 -*-
# Generated by Django 1.11.27 on 2020-02-11 10:11
from __future__ import unicode_literals

import colorfield.fields
from django.conf import settings
import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion
import geotrek.authent.models


class Migration(migrations.Migration):

    dependencies = [
        ('tourism', '0007_auto_20190809_1146'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='reservationsystem',
            options={'ordering': ('name',), 'verbose_name': 'Reservation system', 'verbose_name_plural': 'Reservation systems'},
        ),
        migrations.AlterField(
            model_name='informationdesk',
            name='description',
            field=models.TextField(blank=True, help_text='Brief description', verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='informationdesk',
            name='email',
            field=models.EmailField(blank=True, max_length=256, null=True, verbose_name='Email'),
        ),
        migrations.AlterField(
            model_name='informationdesk',
            name='geom',
            field=django.contrib.gis.db.models.fields.PointField(blank=True, null=True, spatial_index=False, srid=settings.SRID, verbose_name='Emplacement'),
        ),
        migrations.AlterField(
            model_name='informationdesk',
            name='municipality',
            field=models.CharField(blank=True, max_length=256, null=True, verbose_name='Municipality'),
        ),
        migrations.AlterField(
            model_name='informationdesk',
            name='name',
            field=models.CharField(max_length=256, verbose_name='Title'),
        ),
        migrations.AlterField(
            model_name='informationdesk',
            name='phone',
            field=models.CharField(blank=True, max_length=32, null=True, verbose_name='Phone'),
        ),
        migrations.AlterField(
            model_name='informationdesk',
            name='photo',
            field=models.FileField(blank=True, max_length=512, null=True, upload_to='upload', verbose_name='Photo'),
        ),
        migrations.AlterField(
            model_name='informationdesk',
            name='postal_code',
            field=models.CharField(blank=True, max_length=8, null=True, verbose_name='Postal code'),
        ),
        migrations.AlterField(
            model_name='informationdesk',
            name='street',
            field=models.CharField(blank=True, max_length=256, null=True, verbose_name='Street'),
        ),
        migrations.AlterField(
            model_name='informationdesk',
            name='type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='desks', to='tourism.InformationDeskType', verbose_name='Type'),
        ),
        migrations.AlterField(
            model_name='informationdesk',
            name='website',
            field=models.URLField(blank=True, max_length=256, null=True, verbose_name='Website'),
        ),
        migrations.AlterField(
            model_name='informationdesktype',
            name='label',
            field=models.CharField(max_length=128, verbose_name='Label'),
        ),
        migrations.AlterField(
            model_name='touristiccontent',
            name='approved',
            field=models.BooleanField(default=False, verbose_name='Approved'),
        ),
        migrations.AlterField(
            model_name='touristiccontent',
            name='category',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='contents', to='tourism.TouristicContentCategory', verbose_name='Category'),
        ),
        migrations.AlterField(
            model_name='touristiccontent',
            name='contact',
            field=models.TextField(blank=True, help_text='Address, phone, etc.', verbose_name='Contact'),
        ),
        migrations.AlterField(
            model_name='touristiccontent',
            name='description',
            field=models.TextField(blank=True, help_text='Complete description', verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='touristiccontent',
            name='description_teaser',
            field=models.TextField(blank=True, help_text='A brief summary', verbose_name='Description teaser'),
        ),
        migrations.AlterField(
            model_name='touristiccontent',
            name='eid',
            field=models.CharField(blank=True, max_length=1024, null=True, verbose_name='External id'),
        ),
        migrations.AlterField(
            model_name='touristiccontent',
            name='email',
            field=models.EmailField(blank=True, max_length=256, null=True, verbose_name='Email'),
        ),
        migrations.AlterField(
            model_name='touristiccontent',
            name='portal',
            field=models.ManyToManyField(blank=True, related_name='touristiccontents', to='common.TargetPortal', verbose_name='Portal'),
        ),
        migrations.AlterField(
            model_name='touristiccontent',
            name='practical_info',
            field=models.TextField(blank=True, help_text='Anything worth to know', verbose_name='Practical info'),
        ),
        migrations.AlterField(
            model_name='touristiccontent',
            name='reservation_id',
            field=models.CharField(blank=True, max_length=1024, verbose_name='Reservation ID'),
        ),
        migrations.AlterField(
            model_name='touristiccontent',
            name='source',
            field=models.ManyToManyField(blank=True, related_name='touristiccontents', to='common.RecordSource', verbose_name='Source'),
        ),
        migrations.AlterField(
            model_name='touristiccontent',
            name='structure',
            field=models.ForeignKey(default=geotrek.authent.models.default_structure_pk, on_delete=django.db.models.deletion.CASCADE, to='authent.Structure', verbose_name='Related structure'),
        ),
        migrations.AlterField(
            model_name='touristiccontent',
            name='themes',
            field=models.ManyToManyField(blank=True, help_text='Main theme(s)', related_name='touristiccontents', to='common.Theme', verbose_name='Themes'),
        ),
        migrations.AlterField(
            model_name='touristiccontent',
            name='type1',
            field=models.ManyToManyField(blank=True, related_name='contents1', to='tourism.TouristicContentType1', verbose_name='Type 1'),
        ),
        migrations.AlterField(
            model_name='touristiccontent',
            name='type2',
            field=models.ManyToManyField(blank=True, related_name='contents2', to='tourism.TouristicContentType2', verbose_name='Type 2'),
        ),
        migrations.AlterField(
            model_name='touristiccontent',
            name='website',
            field=models.URLField(blank=True, max_length=256, null=True, verbose_name='Website'),
        ),
        migrations.AlterField(
            model_name='touristiccontentcategory',
            name='color',
            field=colorfield.fields.ColorField(default='#444444', help_text='Color of the category, only used in mobile.', max_length=18, verbose_name='Color'),
        ),
        migrations.AlterField(
            model_name='touristiccontentcategory',
            name='geometry_type',
            field=models.CharField(choices=[('point', 'Point'), ('line', 'Line'), ('polygon', 'Polygon'), ('any', 'Any')], default='point', max_length=16),
        ),
        migrations.AlterField(
            model_name='touristiccontentcategory',
            name='label',
            field=models.CharField(max_length=128, verbose_name='Label'),
        ),
        migrations.AlterField(
            model_name='touristiccontentcategory',
            name='order',
            field=models.IntegerField(blank=True, help_text='Alphabetical order if blank', null=True, verbose_name='Order'),
        ),
        migrations.AlterField(
            model_name='touristiccontentcategory',
            name='type1_label',
            field=models.CharField(blank=True, max_length=128, verbose_name='First list label'),
        ),
        migrations.AlterField(
            model_name='touristiccontentcategory',
            name='type2_label',
            field=models.CharField(blank=True, max_length=128, verbose_name='Second list label'),
        ),
        migrations.AlterField(
            model_name='touristiccontenttype',
            name='category',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='types', to='tourism.TouristicContentCategory', verbose_name='Category'),
        ),
        migrations.AlterField(
            model_name='touristiccontenttype',
            name='in_list',
            field=models.IntegerField(choices=[(1, 'First'), (2, 'Second')]),
        ),
        migrations.AlterField(
            model_name='touristiccontenttype',
            name='label',
            field=models.CharField(max_length=128, verbose_name='Label'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='accessibility',
            field=models.CharField(blank=True, max_length=256, verbose_name='Accessibility'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='approved',
            field=models.BooleanField(default=False, verbose_name='Approved'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='begin_date',
            field=models.DateField(blank=True, null=True, verbose_name='Begin date'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='booking',
            field=models.TextField(blank=True, verbose_name='Booking'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='contact',
            field=models.TextField(blank=True, verbose_name='Contact'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='description',
            field=models.TextField(blank=True, help_text='Complete description', verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='description_teaser',
            field=models.TextField(blank=True, help_text='A brief summary', verbose_name='Description teaser'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='duration',
            field=models.CharField(blank=True, help_text='3 days, season, ...', max_length=64, verbose_name='Duration'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='eid',
            field=models.CharField(blank=True, max_length=1024, null=True, verbose_name='External id'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='email',
            field=models.EmailField(blank=True, max_length=256, null=True, verbose_name='Email'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='end_date',
            field=models.DateField(blank=True, null=True, verbose_name='End date'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='meeting_point',
            field=models.CharField(blank=True, help_text='Where exactly ?', max_length=256, verbose_name='Meeting point'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='meeting_time',
            field=models.TimeField(blank=True, help_text='11:00, 23:30', null=True, verbose_name='Meeting time'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='organizer',
            field=models.CharField(blank=True, max_length=256, verbose_name='Organizer'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='participant_number',
            field=models.CharField(blank=True, max_length=256, verbose_name='Number of participants'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='portal',
            field=models.ManyToManyField(blank=True, related_name='touristicevents', to='common.TargetPortal', verbose_name='Portal'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='practical_info',
            field=models.TextField(blank=True, help_text='Recommandations / To plan / Advices', verbose_name='Practical info'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='source',
            field=models.ManyToManyField(blank=True, related_name='touristicevents', to='common.RecordSource', verbose_name='Source'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='speaker',
            field=models.CharField(blank=True, max_length=256, verbose_name='Speaker'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='structure',
            field=models.ForeignKey(default=geotrek.authent.models.default_structure_pk, on_delete=django.db.models.deletion.CASCADE, to='authent.Structure', verbose_name='Related structure'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='target_audience',
            field=models.CharField(blank=True, max_length=128, null=True, verbose_name='Target audience'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='themes',
            field=models.ManyToManyField(blank=True, help_text='Main theme(s)', related_name='touristic_events', to='common.Theme', verbose_name='Themes'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='tourism.TouristicEventType', verbose_name='Type'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='website',
            field=models.URLField(blank=True, max_length=256, null=True, verbose_name='Website'),
        ),
        migrations.AlterField(
            model_name='touristiceventtype',
            name='type',
            field=models.CharField(max_length=128, verbose_name='Type'),
        ),
        migrations.AlterField(
            model_name='touristiccontent',
            name='deleted',
            field=models.BooleanField(default=False, editable=False, verbose_name='Deleted'),
        ),
        migrations.AlterField(
            model_name='touristicevent',
            name='deleted',
            field=models.BooleanField(default=False, editable=False, verbose_name='Deleted'),
        ),
        migrations.AlterModelTable(
            name='informationdesk',
            table=None,
        ),
        migrations.AlterModelTable(
            name='informationdesktype',
            table=None,
        ),
        migrations.AlterModelTable(
            name='reservationsystem',
            table=None,
        ),
        migrations.AlterModelTable(
            name='touristiccontent',
            table=None,
        ),
        migrations.AlterModelTable(
            name='touristiccontentcategory',
            table=None,
        ),
        migrations.AlterModelTable(
            name='touristiccontenttype',
            table=None,
        ),
        migrations.AlterModelTable(
            name='touristicevent',
            table=None,
        ),
        migrations.AlterModelTable(
            name='touristiceventtype',
            table=None,
        ),
    ]
