# Generated by Django 3.2.19 on 2023-08-04 13:17

from django.db import migrations


def create_organizer_fk(apps, schema_editor):
    TouristicEventModel = apps.get_model('tourism', 'TouristicEvent')
    OrganizerModel = apps.get_model('tourism', 'TouristicEventOrganizer')
    for event in TouristicEventModel.objects.all():
        if event.organizer:
            organizer, _ = OrganizerModel.objects.get_or_create(label=event.organizer)
            event.organizer_temp = organizer
            event.save()


def reverse_create_organizer_fk(apps, schema_editor):
    TouristicEventModel = apps.get_model('tourism', 'TouristicEvent')
    for event in TouristicEventModel.objects.all():
        if event.organizer_temp:
            event.organizer = event.organizer_temp.label
            event.save()


class Migration(migrations.Migration):

    dependencies = [
        ('tourism', '0043_auto_20230804_1317'),
    ]

    operations = [
        migrations.RunPython(create_organizer_fk, reverse_create_organizer_fk),
    ]
