# Generated by Django 3.1.14 on 2022-02-04 15:33

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('trekking', '0036_auto_20220203_1627'),
    ]

    operations = [
        migrations.RenameField(model_name='trek', old_name='disabled_infrastructure',
                               new_name='accessibility_infrastructure'),
        migrations.AlterField(
            model_name='trek',
            name='accessibilities',
            field=models.ManyToManyField(blank=True, related_name='treks', to='trekking.Accessibility', verbose_name='Accessibility type'),
        ),
        migrations.AlterField(
            model_name='trek',
            name='accessibility_advice',
            field=models.TextField(blank=True,
                                   help_text='Specific elements allowing to appreciate the context of the itinerary for PRMs (advice, delicate passages, etc.)',
                                   verbose_name='Accessibility advice'),
        ),
        migrations.AlterField(
            model_name='trek',
            name='accessibility_covering',
            field=models.TextField(blank=True,
                                   help_text='Description of the surfaces encountered on the entire route. Track, path, road + type of surface (stony, presence of stones, sand, paving, slab...)',
                                   verbose_name='Accessibility covering'),
        ),
        migrations.AlterField(
            model_name='trek',
            name='accessibility_exposure',
            field=models.TextField(blank=True,
                                   help_text='Description of exposures and shaded areas. Shaded, High exposure, Presence of shaded areas',
                                   verbose_name='Accessibility exposure'),
        ),
        migrations.AlterField(
            model_name='trek',
            name='accessibility_level',
            field=models.ForeignKey(blank=True,
                                    help_text='Beginner (Little drop – terrain without difficulties) / Experienced (Significant slope – Technical terrain, with obstacles)',
                                    null=True, on_delete=django.db.models.deletion.PROTECT, related_name='treks',
                                    to='trekking.accessibilitylevel', verbose_name='Level accessibility'),
        ),
        migrations.AlterField(
            model_name='trek',
            name='accessibility_signage',
            field=models.TextField(blank=True, help_text='Description of the size, shape and colors of signages.',
                                   verbose_name='Accessibility signage'),
        ),
        migrations.AlterField(
            model_name='trek',
            name='accessibility_slope',
            field=models.TextField(blank=True,
                                   help_text='Description of the slope: greater than 10% (Requires assistance when the slope is greater than 8%); slope break',
                                   verbose_name='Accessibility slope'),
        ),
        migrations.AlterField(
            model_name='trek',
            name='accessibility_width',
            field=models.TextField(blank=True,
                                   help_text='Description of the narrowing of the trails and the minimum width for wheelchairs (Trail>0.90 m, Joëlette, Narrow trail requiring strong driving technique)',
                                   verbose_name='Accessibility width'),
        ),
    ]
